NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Facet::STLImportBuilder Class Reference

The STL file import builder. More...

Inheritance diagram for NXOpen::Facet::STLImportBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  AngularToleranceTypes { AngularToleranceTypesCoarse, AngularToleranceTypesMedium, AngularToleranceTypesFine }
 The angular tolerance types. More...
 
enum  FacetBodyTypes { FacetBodyTypesPsm, FacetBodyTypesNx, FacetBodyTypesJt }
 These represent the type of body that will get created on importing the STL file. More...
 
enum  STLFileUnitsTypes { STLFileUnitsTypesMeters, STLFileUnitsTypesMillimeters, STLFileUnitsTypesInches }
 The STL file units types. More...
 

Public Member Functions

NXOpen::Facet::STLImportBuilder::AngularToleranceTypes AngularTolerance ()
 Returns the angular tolerance
Created in NX6.0.0. More...
 
bool CleanUp ()
 Returns the option to clean up all mesh defects on import
Created in NX10.0.0. More...
 
NXOpen::Facet::STLImportBuilder::FacetBodyTypes FacetBodyType ()
 Returns the facet body type
Created in NX6.0.0. More...
 
NXString File ()
 Returns the STL file
Created in NX6.0.0. More...
 
bool HideSmoothEdges ()
 Returns the indicator for whether to hide smooth edges
Created in NX6.0.0. More...
 
double MinimumAngleFoldedFacets ()
 Returns the value for minimum angle between adjacent facets to define folded facets. More...
 
int MinimumFacetNumber ()
 Returns the value for minimum number of facets for a STL file to be imported
Created in NX11.0.0. More...
 
void SetAngularTolerance (NXOpen::Facet::STLImportBuilder::AngularToleranceTypes angularTolerance)
 Sets the angular tolerance
Created in NX6.0.0. More...
 
void SetCleanUp (bool cleanUp)
 Sets the option to clean up all mesh defects on import
Created in NX10.0.0. More...
 
void SetFacetBodyType (NXOpen::Facet::STLImportBuilder::FacetBodyTypes facetBodyType)
 Sets the facet body type
Created in NX6.0.0. More...
 
void SetFile (const NXString &filename)
 Sets the STL file
Created in NX6.0.0. More...
 
void SetFile (const char *filename)
 Sets the STL file
Created in NX6.0.0. More...
 
void SetHideSmoothEdges (bool hideSmoothEdges)
 Sets the indicator for whether to hide smooth edges
Created in NX6.0.0. More...
 
void SetMinimumAngleFoldedFacets (double minimumAngleFoldedFacets)
 Sets the value for minimum angle between adjacent facets to define folded facets. More...
 
void SetMinimumFacetNumber (int minimumFacetNumber)
 Sets the value for minimum number of facets for a STL file to be imported
Created in NX11.0.0. More...
 
void SetShowInformationWindow (bool showInformationWindow)
 Sets the indicator for whether to show information window
Created in NX6.0.0. More...
 
void SetSTLFileUnits (NXOpen::Facet::STLImportBuilder::STLFileUnitsTypes stlFileUnits)
 Sets the STL file units
Created in NX6.0.0. More...
 
bool ShowInformationWindow ()
 Returns the indicator for whether to show information window
Created in NX6.0.0. More...
 
NXOpen::Facet::STLImportBuilder::STLFileUnitsTypes STLFileUnits ()
 Returns the STL file units
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

The STL file import builder.

Inputs to this class can be convergent objects.
To create a new instance of this class, use NXOpen::Facet::FacetedBodyCollection::CreateSTLImportBuilder
Default values.

Property Value

AngularTolerance

Medium

FacetBodyType

Psm

HideSmoothEdges

1

MinimumAngleFoldedFacets

15.0

MinimumFacetNumber

100

STLFileUnits

Millimeters

ShowInformationWindow

0


Created in NX6.0.0.

Member Enumeration Documentation

The angular tolerance types.

Enumerator
AngularToleranceTypesCoarse 

coarse

AngularToleranceTypesMedium 

medium

AngularToleranceTypesFine 

fine

These represent the type of body that will get created on importing the STL file.

Enumerator
FacetBodyTypesPsm 

Import to Facet Brep format.

FacetBodyTypesNx 

Import To NX Facet Format.

FacetBodyTypesJt 

Import to JT format.

The STL file units types.

Enumerator
STLFileUnitsTypesMeters 

meters

STLFileUnitsTypesMillimeters 

millimeters

STLFileUnitsTypesInches 

inches

Member Function Documentation

NXOpen::Facet::STLImportBuilder::AngularToleranceTypes NXOpen::Facet::STLImportBuilder::AngularTolerance ( )

Returns the angular tolerance
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

bool NXOpen::Facet::STLImportBuilder::CleanUp ( )

Returns the option to clean up all mesh defects on import
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

NXOpen::Facet::STLImportBuilder::FacetBodyTypes NXOpen::Facet::STLImportBuilder::FacetBodyType ( )

Returns the facet body type
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

NXString NXOpen::Facet::STLImportBuilder::File ( )

Returns the STL file
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling")

bool NXOpen::Facet::STLImportBuilder::HideSmoothEdges ( )

Returns the indicator for whether to hide smooth edges
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

double NXOpen::Facet::STLImportBuilder::MinimumAngleFoldedFacets ( )

Returns the value for minimum angle between adjacent facets to define folded facets.


Created in NX11.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

int NXOpen::Facet::STLImportBuilder::MinimumFacetNumber ( )

Returns the value for minimum number of facets for a STL file to be imported
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

void NXOpen::Facet::STLImportBuilder::SetAngularTolerance ( NXOpen::Facet::STLImportBuilder::AngularToleranceTypes  angularTolerance)

Sets the angular tolerance
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
angularToleranceangulartolerance
void NXOpen::Facet::STLImportBuilder::SetCleanUp ( bool  cleanUp)

Sets the option to clean up all mesh defects on import
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
cleanUpcleanup
void NXOpen::Facet::STLImportBuilder::SetFacetBodyType ( NXOpen::Facet::STLImportBuilder::FacetBodyTypes  facetBodyType)

Sets the facet body type
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
facetBodyTypefacetbodytype
void NXOpen::Facet::STLImportBuilder::SetFile ( const NXString filename)

Sets the STL file
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling")

Parameters
filenamefilename
void NXOpen::Facet::STLImportBuilder::SetFile ( const char *  filename)

Sets the STL file
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling")

Parameters
filenamefilename
void NXOpen::Facet::STLImportBuilder::SetHideSmoothEdges ( bool  hideSmoothEdges)

Sets the indicator for whether to hide smooth edges
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
hideSmoothEdgeshidesmoothedges
void NXOpen::Facet::STLImportBuilder::SetMinimumAngleFoldedFacets ( double  minimumAngleFoldedFacets)

Sets the value for minimum angle between adjacent facets to define folded facets.


Created in NX11.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
minimumAngleFoldedFacetsminimumanglefoldedfacets
void NXOpen::Facet::STLImportBuilder::SetMinimumFacetNumber ( int  minimumFacetNumber)

Sets the value for minimum number of facets for a STL file to be imported
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
minimumFacetNumberminimumfacetnumber
void NXOpen::Facet::STLImportBuilder::SetShowInformationWindow ( bool  showInformationWindow)

Sets the indicator for whether to show information window
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
showInformationWindowshowinformationwindow
void NXOpen::Facet::STLImportBuilder::SetSTLFileUnits ( NXOpen::Facet::STLImportBuilder::STLFileUnitsTypes  stlFileUnits)

Sets the STL file units
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
stlFileUnitsstlfileunits
bool NXOpen::Facet::STLImportBuilder::ShowInformationWindow ( )

Returns the indicator for whether to show information window
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

NXOpen::Facet::STLImportBuilder::STLFileUnitsTypes NXOpen::Facet::STLImportBuilder::STLFileUnits ( )

Returns the STL file units
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.